From f213e42509b4b4cd26a3d4aec4b83ee7c2e9640c Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Apr 03 2022 17:41:56 +0000
Subject: [PATCH 19/28] [your-freedom]: manual rebuild


---

diff --git a/libre/your-freedom/PKGBUILD b/libre/your-freedom/PKGBUILD
index d00fdf3..31059d9 100644
--- a/libre/your-freedom/PKGBUILD
+++ b/libre/your-freedom/PKGBUILD
@@ -1,31 +1,28 @@
 # Maintainer: Parabola Project <dev@lists.parabola.nu>
 
+
 pkgname=your-freedom
-pkgdesc="This package conflicts with every nonfree package known to date to ensure your system is free."
-license=('GPL3')
-url="https://git.parabola.nu/blacklist.git"
-pkgver=20220125
-_gitver=e1f72a8fcf0a29b25b489d5ca8ce698a8a597a1f
+pkgver=20220403
+_gitver=56705cca69fa9559e17bf26fd9137139dc641273
 pkgrel=1
-
-arch=('any')
+pkgdesc="This package conflicts with every nonfree package known to date to ensure your system is free."
+license=(GPL3)
+url=https://wiki.parabola.nu/Blacklist
+arch=(any)
 install=${pkgname}.install
 
 makedepends=(librelib)
 source=(blacklist-${_gitver}.txt::https://git.parabola.nu/blacklist.git/plain/blacklist.txt?id=${_gitver})
-sha512sums=('c49954a49ffce0e4c7454a9469d7f066e3c58358c35703705e617628fc1ed81d064bd4c48b9508de7f77c75e424cf2366d6c500139fa9006c7032a80c13d567e')
 
+sha256sums=('5080970007c19680839f94d4f959085ee422c0451105d8c905ccfcc214547f4e')
 
-package() {
-	cd "$srcdir"
 
-	conflicts=($( \
-		< blacklist-${_gitver}.txt \
-		libreblacklist normalize | \
-		cut -d: -f1,2 | \
-		sed -n 's/:$//p' | \
-		sort -u \
-		))
+package()
+{
+  # collect blacklisted package names as pacman conflicts,
+  # also to be excluded by the repo importer, and rejected by libremakepkg
+  conflicts=( $( libreblacklist normalize < blacklist-${_gitver}.txt | \
+                 cut -d: -f1,2 | sed -n 's/:$//p' | sort -u          ) )
 
-	install -Dm644 blacklist-${_gitver}.txt "$pkgdir"/usr/share/doc/${pkgname}/blacklist.txt
+  install -Dm644 blacklist-${_gitver}.txt "${pkgdir}"/usr/share/doc/${pkgname}/blacklist.txt
 }

